#!/bin/sh
#
# Sample script to import metadata into fields of an archive index.
# In this example we are using mdls to read metadata attributes for
# the specified file.
#
attr1=`mdls -raw -name kMDItemColorSpace -nullMarker "" "$1"`
attr2=`mdls -raw -name kMDItemPixelWidth -nullMarker "" "$1"`
attr3=`mdls -raw -name kMDItemPixelHeight -nullMarker "" "$1"`
attr4=`mdls -raw -name kMDItemFinderComment -nullMarker "" "$1"`
attr5=`mdls -raw -name kMDItemAcquisitionMake -nullMarker "" "$1"`
attr6=`mdls -raw -name kMDItemAcquisitionModel -nullMarker "" "$1"`
#
echo "user_colorspace {$attr1} user_dimensions {$attr2 x $attr3} description {$attr4} user_camera {$attr5 $attr6}"
#
# EOF